Subject: Re: [TR] part needed

From: "Randall" <[email-masked]>
Date: Fri, 8 May 2015 21:40:14 -0700

> I don't mind buying the part, it's the shipping that gets you

That is a problem.  One of the things I do to reduce it a bit is have a list of items I'll need eventually but not right now (like
tune-up parts or trim items).  Then when I need just one thing, I can throw some others in to amortize the shipping cost across
multiple items.  TRF's web site has a "wish list" feature that makes it easy to do.

OTOH, the pair of brake rotors I got the other day only cost $10 for shipping all the way to Los Angeles.  Seemed reasonable to me.

-- Randall  

** [email-masked] **

Archive: http://www.team.net/archive